# Uses of Interface
java.util.SortedSet

Packages that use SortedSet
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.concurrent
Utility classes commonly useful in concurrent programming.
javax.imageio.plugins.tiff
Public classes used by the built-in TIFF plug-ins.

## Uses of SortedSet in java.util

Subinterfaces of SortedSet in java.util
Modifier and Type
Interface
Description
`interface`
`NavigableSet<E>`
A `SortedSet` extended with navigation methods reporting closest matches for given search targets.
Classes in java.util that implement SortedSet
Modifier and Type
Class
Description
`class`
`TreeSet<E>`
A `NavigableSet` implementation based on a `TreeMap`.
Methods in java.util that return SortedSet
Modifier and Type
Method
Description
`static <E> SortedSet<E>`
Collections.`checkedSortedSet​(SortedSet<E> s, Class<E> type)`
Returns a dynamically typesafe view of the specified sorted set.
`static <E> SortedSet<E>`
Collections.`emptySortedSet()`
Returns an empty sorted set (immutable).
`SortedSet<E>`
NavigableSet.`headSet​(E toElement)`
Returns a view of the portion of this set whose elements are strictly less than `toElement`.
`SortedSet<E>`
SortedSet.`headSet​(E toElement)`
Returns a view of the portion of this set whose elements are strictly less than `toElement`.
`SortedSet<E>`
TreeSet.`headSet​(E toElement)`
`SortedSet<E>`
NavigableSet.`subSet​(E fromElement, E toElement)`
Returns a view of the portion of this set whose elements range from `fromElement`, inclusive, to `toElement`, exclusive.
`SortedSet<E>`
SortedSet.`subSet​(E fromElement, E toElement)`
Returns a view of the portion of this set whose elements range from `fromElement`, inclusive, to `toElement`, exclusive.
`SortedSet<E>`
TreeSet.`subSet​(E fromElement, E toElement)`
`static <T> SortedSet<T>`
Collections.`synchronizedSortedSet​(SortedSet<T> s)`
Returns a synchronized (thread-safe) sorted set backed by the specified sorted set.
`SortedSet<E>`
NavigableSet.`tailSet​(E fromElement)`
Returns a view of the portion of this set whose elements are greater than or equal to `fromElement`.
`SortedSet<E>`
SortedSet.`tailSet​(E fromElement)`
Returns a view of the portion of this set whose elements are greater than or equal to `fromElement`.
`SortedSet<E>`
TreeSet.`tailSet​(E fromElement)`
`static <T> SortedSet<T>`
Collections.`unmodifiableSortedSet​(SortedSet<T> s)`
Returns an unmodifiable view of the specified sorted set.
Methods in java.util with parameters of type SortedSet
Modifier and Type
Method
Description
`static <E> SortedSet<E>`
Collections.`checkedSortedSet​(SortedSet<E> s, Class<E> type)`
Returns a dynamically typesafe view of the specified sorted set.
`static <T> SortedSet<T>`
Collections.`synchronizedSortedSet​(SortedSet<T> s)`
Returns a synchronized (thread-safe) sorted set backed by the specified sorted set.
`static <T> SortedSet<T>`
Collections.`unmodifiableSortedSet​(SortedSet<T> s)`
Returns an unmodifiable view of the specified sorted set.
Constructors in java.util with parameters of type SortedSet
Modifier
Constructor
Description
``
`PriorityQueue​(SortedSet<? extends E> c)`
Creates a `PriorityQueue` containing the elements in the specified sorted set.
``
`TreeSet​(SortedSet<E> s)`
Constructs a new tree set containing the same elements and using the same ordering as the specified sorted set.

## Uses of SortedSet in java.util.concurrent

Classes in java.util.concurrent that implement SortedSet
Modifier and Type
Class
Description
`class`
`ConcurrentSkipListSet<E>`
A scalable concurrent `NavigableSet` implementation based on a `ConcurrentSkipListMap`.
Constructors in java.util.concurrent with parameters of type SortedSet
Modifier
Constructor
Description
``
`ConcurrentSkipListSet​(SortedSet<E> s)`
Constructs a new set containing the same elements and using the same ordering as the specified sorted set.

## Uses of SortedSet in javax.imageio.plugins.tiff

Methods in javax.imageio.plugins.tiff that return SortedSet
Modifier and Type
Method
Description
`SortedSet<String>`
TIFFTagSet.`getTagNames()`
Retrieves an unmodifiable lexicographically increasing set of tag names.
`SortedSet<Integer>`
TIFFTagSet.`getTagNumbers()`
Retrieves an unmodifiable numerically increasing set of tag numbers.